<?php

namespace MyHordes\Fixtures\Service;

use App\Entity\LogEntryTemplate;
use MyHordes\Fixtures\Interfaces\FixtureProcessorInterface;

class LogDataService implements FixtureProcessorInterface {

    public function process(array &$data): void
    {
        $data = array_merge_recursive($data, [
            ['text'=>'{citizen} hat der Stadt folgendes gespendet: {item}', 'name'=>'bankGive', 'type'=>LogEntryTemplate::TypeBank, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"item",'name'=>'item'])],
            ['text'=>'{dogname}, der stinkende Köter von {citizen}, hat folgendes in die Bank gebracht: {item}', 'name'=>'bankGiveTamer', 'type'=>LogEntryTemplate::TypeBank, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"dogname",'name'=>'dogname'],['type'=>"citizen",'name'=>'citizen'],['type'=>"item",'name'=>'item'])],
            ['text'=>'{citizen} hat seinen Hund mit {count} Gegenständen in die Stadt geschickt.', 'name'=>'beyondTamerSend', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"num",'name'=>'count'])],
            ['text'=>'{citizen} hat folgenden Gegenstand aus der Bank genommen: {item}', 'name'=>'bankTake', 'type'=>LogEntryTemplate::TypeBank, 'class'=>LogEntryTemplate::ClassWarning, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"item",'name'=>'item'])],
            ['text'=>'{citizen} hat folgenden Gegenstand hier abgelegt: {item}', 'name'=>'itemFloorDrop', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"item",'name'=>'item'])],
            ['text'=>'Mangels Diskretion konnte jeder sehen, wie {citizen} versuchte {item} in dieser Zone zu verstecken.', 'name'=>'itemFloorHide', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"item",'name'=>'item'])],
            ['text'=>'{citizen} hat diesen Gegenstand mitgenommen: {item}', 'name'=>'itemFloorTake', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"item",'name'=>'item'])],
            ['text'=>'{citizen} hat eine Ration Wasser genommen.', 'name'=>'wellTake', 'type'=>LogEntryTemplate::TypeWell, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'{citizen} hat mehr Wasser genommen, als erlaubt ist...', 'name'=>'wellTakeMuch', 'type'=>LogEntryTemplate::TypeWell, 'class'=>LogEntryTemplate::ClassWarning, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'{citizen} hat dem Brunnen {num} Rationen Wasser hinzugefügt.', 'name'=>'wellAdd', 'type'=>LogEntryTemplate::TypeWell, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"num",'name'=>'num'])],
            ['text'=>'{citizen} hat {item} in den Brunnen geschüttet und damit {num} Rationen Wasser hinzugefügt.', 'name'=>'wellAddItem', 'type'=>LogEntryTemplate::TypeWellFill, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>LogEntryTemplate::TypeWell, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"item",'name'=>'item'],['type'=>"num",'name'=>'num'])],
            ['text'=>'{citizen} hat es regnen lassen! Ihm habt ihr {num} Rationen reinen Wassers im Brunnen zu verdanken!', 'name'=>'wellAddShaman', 'type'=>LogEntryTemplate::TypeWellFill, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>LogEntryTemplate::TypeWell, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"num",'name'=>'num'])],
            ['text'=>'{citizen} hat an dem Bauprojekt {plan} mitgearbeitet.', 'name'=>'constructionsInvest', 'type'=>LogEntryTemplate::TypeConstruction, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"plan",'name'=>'plan'])],
            ['text'=>'{citizen} hat an dem Bauprojekt {plan} mitgearbeitet (Sklaverei: +50% AP).', 'name'=>'constructionsInvestSlave', 'type'=>LogEntryTemplate::TypeConstruction, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"plan",'name'=>'plan'])],
            ['text'=>'{citizen} hat das Gebäude {plan} repariert.', 'name'=>'constructionsInvestRepair', 'type'=>LogEntryTemplate::TypeConstruction, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"plan",'name'=>'plan'])],
            ['text'=>'{citizen} hat das Gebäude {plan} repariert (Sklaverei: +50% AP).', 'name'=>'constructionsInvestRepairSlave', 'type'=>LogEntryTemplate::TypeConstruction, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"plan",'name'=>'plan'])],
            ['text'=>'{citizen} hat an dem Bauprojekt {plan} mitgearbeitet und dabei {ap} ausgegeben.', 'name'=>'constructionsInvestAP', 'type'=>LogEntryTemplate::TypeConstruction, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"plan",'name'=>'plan'],['type'=>"ap",'name'=>'ap'])],
            ['text'=>'{citizen} hat das Gebäude {plan} repariert und dabei {ap} ausgegeben.', 'name'=>'constructionsInvestRepairAP', 'type'=>LogEntryTemplate::TypeConstruction, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"plan",'name'=>'plan'],['type'=>"ap",'name'=>'ap'])],
            ['text'=>'{citizen} hat einen Bauplan für {plan} gefunden.', 'name'=>'constructionsNewSite', 'type'=>LogEntryTemplate::TypeConstruction, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"plan",'name'=>'plan'])],
            ['text'=>'{citizen} hat einen Bauplan für {plan} gefunden. Dafür ist das Bauprojekt {parent} nötig.', 'name'=>'constructionsNewSiteDepend', 'type'=>LogEntryTemplate::TypeConstruction, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"plan",'name'=>'plan'],['type'=>"plan",'name'=>'parent'])],
            ['text'=>'Es wurde ein neues Gebäude gebaut: {plan}.', 'name'=>'constructionsBuildingCompleteNoResources', 'type'=>LogEntryTemplate::TypeConstruction, 'class'=>LogEntryTemplate::ClassWarning, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"plan",'name'=>'plan'])],
            ['text'=>'Es wurde ein neues Gebäude gebaut: {plan}. Der Bau hat folgende Ressourcen verbraucht: {list}', 'name'=>'constructionsBuildingComplete', 'type'=>LogEntryTemplate::TypeConstruction, 'class'=>LogEntryTemplate::ClassWarning, 'secondaryType'=>LogEntryTemplate::TypeBank, 'variableTypes'=>array(['type'=>"plan",'name'=>'plan'],['type'=>'list','name'=>'list','listType'=>'item'])],
            ['text'=>'Durch die Konstruktion von {building} hat die Stadt folgende Gegenstände erhalten: {list}', 'name'=>'constructionsBuildingCompleteSpawnItems', 'type'=>LogEntryTemplate::TypeConstruction, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>LogEntryTemplate::TypeBank, 'variableTypes'=>array(['type'=>"plan",'name'=>'building'],['type'=>'list','name'=>'list','listType'=>'item'])],
            ['text'=>'Durch die Konstruktion von {building} wurde der Brunnen um {num} Rationen Wasser aufgefüllt!', 'name'=>'constructionsBuildingCompleteWell', 'type'=>LogEntryTemplate::TypeConstruction, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>LogEntryTemplate::TypeWell, 'variableTypes'=>array(['type'=>"plan",'name'=>'building'],['type'=>"num",'name'=>'num'])],
            ['text'=>'Durch die Konstruktion von {building} wurden eine Menge Zombies in der Außenwelt vernichtet!', 'name'=>'constructionsBuildingCompleteZombieKill', 'type'=>LogEntryTemplate::TypeConstruction, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>LogEntryTemplate::TypeDoor, 'variableTypes'=>array(['type'=>"plan",'name'=>'building'])],
            ['text'=>'{citizen} hat das Stadttor {action}.', 'name'=>'doorControl', 'type'=>LogEntryTemplate::TypeDoor, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"transString",'name'=>'action'])],
            ['text'=>'Das Stadttor wurde automatisch {action}.', 'name'=>'doorControlAuto', 'type'=>LogEntryTemplate::TypeDoor, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"transString",'name'=>'action'])],
            ['text'=>'{citizen} hat die Stadt {action}.', 'name'=>'doorPass', 'type'=>LogEntryTemplate::TypeDoor, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"transString",'name'=>'action','raw'=>true])],
            ['text'=>'{citizen} wurde in die Stadt <span>teleportiert</span>', 'name'=>'citizenTeleport', 'type'=>LogEntryTemplate::TypeDoor, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'Ein neuer Bürger ist in der Stadt angekommen: {citizen}.', 'name'=>'citizenJoin', 'type'=>LogEntryTemplate::TypeCitizens, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'Ein neuer Bürger ist in der Stadt angekommen: {citizen} ({profession}).', 'name'=>'citizenJoinProfession', 'type'=>LogEntryTemplate::TypeCitizens, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"professionFull",'name'=>'profession'])],
            ['text'=>'{citizen} hat seine neue Berufung als {profession} gefunden.', 'name'=>'citizenProfession', 'type'=>LogEntryTemplate::TypeCitizens, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"professionFull",'name'=>'profession'])],
            ['text'=>'{num} Zombies haben vergeblich versucht, in das Haus von {citizen} einzudringen.', 'name'=>'citizenZombieAttackRepelled', 'type'=>LogEntryTemplate::TypeCitizens, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"num",'name'=>'num'])],
            ['text'=>'{deaths} Bürger sind beim heutigen Angriff gestorben!', 'name'=>'citizenDeathsDuringAttack', 'type'=>LogEntryTemplate::TypeCitizens, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"num",'name'=>'deaths'])],
            ['text'=>'{citizen} hat seinen letzten Atemzug getan: {cod}!', 'name'=>'citizenDeathDefault', 'type'=>LogEntryTemplate::TypeCitizens, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"num",'name'=>'num'],['type'=>"cod",'name'=>'cod'])],
            ['text'=>'{citizen} wurde von {num} Zombies zerfleischt!', 'name'=>'citizenDeathNightlyAttack', 'type'=>LogEntryTemplate::TypeCitizens, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"num",'name'=>'num'])],
            ['text'=>'Hat jemand in letzter Zeit von {citizen} gehört? Er scheint verschwunden zu sein ...', 'name'=>'citizenDeathVanished', 'type'=>LogEntryTemplate::TypeCitizens, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"num",'name'=>'num'],['type'=>"cod",'name'=>'cod'])],
            ['text'=>'{citizen} hat dem Druck nicht länger standgehalten und sein Leben beendet: {cod}.', 'name'=>'citizenDeathCyanide', 'type'=>LogEntryTemplate::TypeCitizens, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"num",'name'=>'num'],['type'=>"cod",'name'=>'cod'])],
            ['text'=>'Verrat! {citizen} ist gestorben: {cod}.', 'name'=>'citizenDeathPoison', 'type'=>LogEntryTemplate::TypeCitizens, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"num",'name'=>'num'],['type'=>"cod",'name'=>'cod'])],
            ['text'=>'{citizen} hat das Fass zum Überlaufen gebracht. Die Stadt hat seinen Tod entschieden: {cod}.', 'name'=>'citizenDeathHanging', 'type'=>LogEntryTemplate::TypeCitizens, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"num",'name'=>'num'],['type'=>"cod",'name'=>'cod'])],
            ['text'=>'Die Bürger der Stadt haben entschieden, {citizen} zu kreuzigen! Das Schokoladenkreuz wurde von den Bürgern im Rahmen dieses tragischen Ereignisses gegessen!', 'name'=>'citizenDeathCross', 'type'=>LogEntryTemplate::TypeCitizens, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"num",'name'=>'num'],['type'=>"cod",'name'=>'cod'])],
            ['text'=>'{citizen} wurde standrechtlich erschossen. Lang lebe das Diktat!', 'name'=>'citizenDeathHeadshot', 'type'=>LogEntryTemplate::TypeCitizens, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"num",'name'=>'num'],['type'=>"cod",'name'=>'cod'])],
            ['text'=>'{citizen} hat seine Behausung in ein(e,n) {home} verwandelt...', 'name'=>'homeUpgrade', 'type'=>LogEntryTemplate::TypeHome, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"home",'name'=>'home'])],
            ['text'=>'{citizen} hat folgendes hergestellt: {list2}; dabei wurden folgende Gegenstände verbraucht: {list1}.', 'name'=>'workshopConvert', 'type'=>LogEntryTemplate::TypeWorkshop, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>LogEntryTemplate::TypeBank, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>'list','name'=>'list1','listType'=>'item'],['type'=>'list','name'=>'list2','listType'=>'item'])],
            ['text'=>'{citizen} hat das Stadtgebiet in Richtung {direction} verlassen.', 'name'=>'townMoveLeave', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>LogEntryTemplate::TypeDoor, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"transString",'name'=>'direction'])],
            ['text'=>'{citizen} hat das Stadtgebiet aus Richtung {direction} betreten.', 'name'=>'townMoveEnter', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>LogEntryTemplate::TypeDoor, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"transString",'name'=>'direction'])],
            ['text'=>'{citizen} ({profession}) ist Richtung {direction} aufgebrochen.', 'name'=>'outsideMoveLeave', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"transString",'name'=>'direction'],['type'=>"profession",'name'=>'profession'])],
            ['text'=>'{citizen} ({profession}) ist aus dem {direction} angekommen.', 'name'=>'outsideMoveEnter', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"transString",'name'=>'direction'],['type'=>"profession",'name'=>'profession'])],
            ['text'=>'{citizen} hat ein(e,n) {item} ausgegraben!', 'name'=>'outsideDigSuccess', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"item",'name'=>'item'])],
            ['text'=>'Allen Widrigkeiten zum Trotz scheint es {citizen} gelungen zu sein, in der Zone etwas zu finden, mit dem er überleben kann...', 'name'=>'outsideDigSurvivalist', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'{citizen} hat hier durch Graben nichts gefunden...', 'name'=>'outsideDigFail', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'{citizen} hat etwas Schutt entfernt.', 'name'=>'outsideUncover', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'{citizen} hat <strong>{count} Haufen Schutt</strong> mithilfe von {item} bereinigt.', 'name'=>'outsideUncoverItem', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"num",'name'=>'count'],['type'=>"item",'name'=>'item'])],
            ['text'=>'{citizen} hat diese Ruine freigelegt. Es handelt sich um {type}. Hurra!', 'name'=>'outsideUncoverComplete', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"transString",'name'=>'type'])],
            ['text'=>'Der Bürger {citizen} hat ein geheimes Versteck gefunden (vermutlich das eines verbannten Mitbürgers)! Es enthielt {items}.', 'name'=>'outsideFoundHiddenItems', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"list",'name'=>'items','listType'=>'item'])],
            ['text'=>'{citizen} hat {items} in der Müllhalde zerstört (+{def} Verteidigung)', 'name'=>'dumpItems', 'type'=>LogEntryTemplate::TypeDump, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"list",'name'=>'items','listType'=>'item'],['type'=>'num','name'=>'def'])],
            ['text'=>'Nach nur wenigen Metern bricht {citizen} schreiend auf dem Boden zusammen! Seine Beinverletzung hindert ihn schlussendlich daran, die Zone zu verlassen!', 'name'=>'outsideMoveFailInjury', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'<strong>{citizen} scheint von einer plötzlichen, unkontrollierbaren Panik ergriffen zu sein</strong>! Es ist unmöglich, auch nur einen Schritt weiter zu gehen... seine <strong>Bewegung wurde unterbrochen</strong>.', 'name'=>'outsideMoveFailTerror', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],

            ['text'=>'Der Bau des Gebäudes Alles oder nichts hat der Stadt {def} vorübergehende Verteidungspunkte eingebracht. Allerdings wurde dabei der gesamte Inhalt der Bank zerstört! Hoffen wir, dass es das wert war...', 'name'=>'constructionsBuildingCompleteAllOrNothing', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"num",'name'=>'def'])],
            ['text'=>'Die in der Stadt liegengebliebenen Körper der ehemaligen Einwohner erwachten in der Zwischenzeit wieder zu Leben...', 'name'=>'nightlyInternalAttackStart', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array()],
            ['text'=>'<i class="dagger">†</i> {zombie} ist gestern hungrig zum Haus von {victim} gestapft. Nachdem er die Tür mit voller Wucht eingetreten hatte, packte er sein Opfer am Haar und schleuderte es mit voller Wucht gegen die Wand... Einige Schädelsplitter wurden sogar im Schlafzimmer gefunden. Vergesst nie die Leichen zu recyclen. Nie!!', 'name'=>'nightlyInternalAttackKill', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'zombie'],['type'=>"citizen",'name'=>'victim'])],
            ['text'=>'<i class="dagger">†</i> {zombie} wurde schreiend und sabbernd am Brunnen angetroffen. Er hielt einen großen Felsen in seinen Händen und schickte  sich an, diesen in den Brunnen zu werfen. Leider konnte ihn keiner mehr rechtzeitig hindern, sodass uns jetzt {num} Wasserrationnen fehlen! Was für eine Katastrophe!', 'name'=>'nightlyInternalAttackWell', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassDanger, 'secondaryType'=>LogEntryTemplate::TypeWell, 'variableTypes'=>array(['type'=>"citizen",'name'=>'zombie'],['type'=>"num",'name'=>'num'])],
            ['text'=>'Was für eine Katastrophe! {num} Wasserrationnen fehlen!', 'name'=>'nightlyDevastationAttackWell', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassDanger, 'secondaryType'=>LogEntryTemplate::TypeWell, 'variableTypes'=>array(['type'=>"num",'name'=>'num'])],
            ['text'=>'{zombie} ist von den Toten auferstanden und hat die Baustelle für {building} verwüstet!', 'name'=>'nightlyInternalAttackDestroy', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassDanger, 'secondaryType'=>LogEntryTemplate::TypeConstruction, 'variableTypes'=>array(['type'=>"citizen",'name'=>'zombie'],['type'=>"plan",'name'=>'building'])],
            ['text'=>'{count} Zombies wurden in der Stadt gesichtet, aber sie haben niemanden angegriffen: Was für ein Glücksfall...', 'name'=>'nightlyInternalAttackNothingSummary', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassDanger, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"num",'name'=>'count'])],
            ['text'=>'Doch leider ist der letzte Bürger tot, bevor die Horde die Stadttore erreicht... Seine Zunge hängt zwischen den Zähnen seines ehemaligen Freundes...', 'name'=>'nightlyInternalAttackDevastSummary', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassDanger, 'secondaryType'=>null, 'variableTypes'=>array()],
            ['text'=>'{zombie} ist von den Toten auferstanden und hat unanständige Nachrichten auf die Heldentafel geschrieben!', 'name'=>'nightlyInternalAttackNothing1', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassDanger, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'zombie'])],
            ['text'=>'{zombie} ist von den Toten auferstanden und hat sich wieder hingelegt!', 'name'=>'nightlyInternalAttackNothing2', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassDanger, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'zombie'])],
            ['text'=>'{zombie} ist von den Toten auferstanden und verlangt nach einem Kaffee!', 'name'=>'nightlyInternalAttackNothing3', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassDanger, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'zombie'])],
            ['text'=>'{zombie} ist von den Toten auferstanden und hat eine Runde auf dem Stadtplatz gedreht!', 'name'=>'nightlyInternalAttackNothing4', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassDanger, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'zombie'])],
            ['text'=>'Es sind nicht mehr genügend Einwohner in der Stadt. Der Zombieangriff und die Wiederherstellung der AP wurden auf morgen Abend verschoben.', 'name'=>'nightlyAttackCancelled', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array()],
            ['text'=>'Resigniert und untröstlich sahen die Bürger, wie eine Horde von {num} Zombies sich in Richtung Stadt bewegte...', 'name'=>'nightlyAttackBegin', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"num",'name'=>'num', 'raw'=> true])],
            ['text'=>'Wie aus dem Nichts stand die Meute auf einmal vor dem Stadttor...', 'name'=>'nightlyAttackBegin2', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array()],
            ['text'=>'In der Horde der Zombies wurden {num} ehemalige Bürger gesichtet, die in der Aussenwelt gestorben sind und sich der Stadt nun zähnefletschend und mit düsterem Blick nähern...', 'name'=>'nightlyAttackBeginWithCitizens', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"num",'name'=>'num','raw'=>true])],
            ['text'=>'Inmitten dieser Zombiehorde konnten wir <i class="dagger">†</i> {citizen} entdecken! Nach seinem Tod in der Aussenwelt hat dieser frisch in einen Zombie verwandelte Mitbürger wohl neue Freunde gefunden!', 'name'=>'nightlyAttackBeginOneCitizen', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"num",'name'=>'num','raw'=>true],['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'Von den Verteidigungsanlagen der Stadt aufgehalten, gingen eure ehemaligen Mitbürger mit leeren Händen und mampften stattdessen die Überreste ihrer eigenen verrottenden Gliedmaßen.', 'name'=>'nightlyAttackDisappointed', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array()],
            ['text'=>'Von der Stadtverteidigung aufgehalten, kehrte <i class="dagger">†</i> {citizen} grunzend und torkelnd zu seinen neuen verschimmelten Freunden zurück...', 'name'=>'nightlyAttackDisappointedCitizen', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'... das OFFEN stand! {num} Zombies sind in die Stadt eingedrungen!', 'name'=>'nightlyAttackSummaryOpenDoor', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassDanger, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"num",'name'=>'num'])],
            ['text'=>'{num} Zombies sind durch unsere Verteidigung gebrochen!', 'name'=>'nightlyAttackSummarySomeZombies', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"num",'name'=>'num'])],
            ['text'=>'Nicht ein Zombie hat die Stadt betreten!', 'name'=>'nightlyAttackSummaryNoZombies', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array()],
            ['text'=>'{num} Zombies attackieren die Stadtbewohner!', 'name'=>'nightlyAttackLazy', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"num",'name'=>'num'])],
            ['text'=>'Die Ratten haben das Schiff schon vor Tagen verlassen... Diese Stadt ist nur noch ein Schatten ihrer selbst.', 'name'=>'nightlyAttackLazyDevast', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"num",'name'=>'num'])],
            ['text'=>'Der Einsatz von {building} für die Verteidigung der Stadt hat uns {num} Rationen Wasser gekostet.', 'name'=>'nightlyAttackBuildingDefenseWater', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassWarning, 'secondaryType'=>LogEntryTemplate::TypeWell, 'variableTypes'=>array(['type'=>"plan",'name'=>'building'],['type'=>"num",'name'=>'num'])],
            ['text'=>'{building} hat {num} Batterien verbraucht.', 'name'=>'nightlyAttackBuildingBatteries', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassWarning, 'secondaryType'=>LogEntryTemplate::TypeBank, 'variableTypes'=>array(['type'=>"plan",'name'=>'building'],['type'=>"num",'name'=>'num'])],
            ['text'=>'Durch die Verbesserung von {building} wurdem dem Brunnen {num} Rationen Wasser hinzugefügt.', 'name'=>'nightlyAttackUpgradeBuildingWell', 'type'=>LogEntryTemplate::TypeWell, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=> null, 'variableTypes'=>array(['type'=>"plan",'name'=>'building'],['type'=>"num",'name'=>'num'])],
            ['text'=>'Durch die Verbesserung von {building} hat die Stadt folgende Gegenstände erhalten: {items}', 'name'=>'nightlyAttackUpgradeBuildingItems', 'type'=>LogEntryTemplate::TypeBank, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=> null, 'variableTypes'=>array(['type'=>"plan",'name'=>'building'],['type'=>"list",'name'=>'items','listType'=>'item'])],
            ['text'=>'Was für ein Glück! Kurz nach dem Angriff wurde ein Bauplan in die Stadt geweht. Ihr erhaltet: {item}', 'name'=>'nightlyAttackProductionBlueprint', 'type'=>LogEntryTemplate::TypeBank, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=> null, 'variableTypes'=>array(['type'=>"item",'name'=>'item'], ['type'=>"plan",'name'=>'building'])],
            ['text'=>'Heute Nacht wurden von {building} folgende Gegenstände produziert: {items}', 'name'=>'nightlyAttackProduction', 'type'=>LogEntryTemplate::TypeBank, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=> null, 'variableTypes'=>array(['type'=>"plan",'name'=>'building'],['type'=>"list",'name'=>'items','listType'=>'item'])],
            ['text'=>'Unser {building} hat reichhaltigen Ertrag gebracht: {items}', 'name'=>'nightlyAttackProductionVegetables', 'type'=>LogEntryTemplate::TypeBank, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=> null, 'variableTypes'=>array(['type'=>"plan",'name'=>'building'],['type'=>"list",'name'=>'items','listType'=>'item'])],
            ['text'=>'Am Ende der Schlacht zerfiel das Gebäude {buildingName} zu Staub.', 'name'=>'nightlyAttackDestroyBuilding', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"plan",'name'=>'buildingName'])],
            ['text'=>'Jemand hat eine anonyme Anzeige gegen {citizen} vorgebracht!', 'name'=>'citizenComplaintSet', 'type'=>LogEntryTemplate::TypeHome, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'Jemand hat seine anonyme Anzeige gegen {citizen} zurückgezogen.', 'name'=>'citizenComplaintUnset', 'type'=>LogEntryTemplate::TypeHome, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'Die letzte Anzeige hat das Fass zum Überlaufen gebracht. {citizen} wurde von den Bürgern der Stadt verbannt!', 'name'=>'citizenBanish', 'type'=>LogEntryTemplate::TypeHome, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'Und wieder \'ne Leiche weniger! {citizen} wurde von † {disposed} entsorgt!', 'name'=>'citizenDisposalDrag', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>LogEntryTemplate::TypeCitizens, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"citizen",'name'=>'disposed'])],
            ['text'=>'{citizen} hat mit etwas Wasser † {disposed} "verbrannt".', 'name'=>'citizenDisposalWater', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>LogEntryTemplate::TypeCitizens, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"citizen",'name'=>'disposed'])],
            ['text'=>'{citizen} hat aus der Leiche von {disposed} eine leckere Mahlzeit gegrillt. Die Stadt hat {items} erhalten.', 'name'=>'citizenDisposalCremato', 'type'=>LogEntryTemplate::TypeBank, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>LogEntryTemplate::TypeCitizens, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"citizen",'name'=>'disposed'],['type'=>'list','name'=>'items','listType'=>'item'])],
            ['text'=>'{citizen} hat die Leiche von {disposed} vernichtet.', 'name'=>'citizenDisposalDefault', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>LogEntryTemplate::TypeCitizens, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"citizen",'name'=>'disposed'])],
            ['text'=>'Der Weihnachtsmann wurde dabei beobachtet, wie er {item} von {victim} gestohlen hat', 'name'=>'townStealSanta', 'type'=>LogEntryTemplate::TypeCrimes, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>LogEntryTemplate::TypeHome, 'variableTypes'=>array(['type'=>"citizen",'name'=>'victim'],['type'=>"item",'name'=>'item'])],
            ['text'=>'Leprechaun wurde gesehen, wie er den {item} von {victim} stahl!', 'name'=>'townStealLeprechaun', 'type'=>LogEntryTemplate::TypeCrimes, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>LogEntryTemplate::TypeHome, 'variableTypes'=>array(['type'=>"citizen",'name'=>'victim'],['type'=>"item",'name'=>'item'])],
            ['text'=>'HALTET DEN DIEB! {actor} ist bei {victim} eingebrochen und hat {item} gestohlen!', 'name'=>'townStealCaught', 'type'=>LogEntryTemplate::TypeCrimes, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>LogEntryTemplate::TypeHome, 'variableTypes'=>array(['type'=>"citizen",'name'=>'actor'],['type'=>"citizen",'name'=>'victim'],['type'=>"item",'name'=>'item'])],
            ['text'=>'VERDAMMT! Es scheint, jemand ist bei {victim} eingebrochen und hat {item} gestohlen...', 'name'=>'townStealUncaught', 'type'=>LogEntryTemplate::TypeCrimes, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>LogEntryTemplate::TypeHome, 'variableTypes'=>array(['type'=>"citizen",'name'=>'victim'],['type'=>"item",'name'=>'item'])],
            ['text'=>'{actor} hat bei der Plünderung von † {victim} Haus diesen Gegenstand gestohlen: {item}', 'name'=>'townLoot', 'type'=>LogEntryTemplate::TypeCrimes, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>LogEntryTemplate::TypeHome, 'variableTypes'=>array(['type'=>"citizen",'name'=>'actor'],['type'=>"citizen",'name'=>'victim'],['type'=>"item",'name'=>'item'])],
            ['text'=>'{actor} hat heimlich versucht diesen Gegenstand: {item} bei {victim} abzulegen... Leider wurde er dabei ertappt! Jetzt fragen sich alle: Was wollte er damit bezwecken?', 'name'=>'townSmuggleCaught', 'type'=>LogEntryTemplate::TypeCrimes, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>LogEntryTemplate::TypeHome, 'variableTypes'=>array(['type'=>"citizen",'name'=>'actor'],['type'=>"citizen",'name'=>'victim'],['type'=>"item",'name'=>'item'])],
            ['text'=>'Es scheint, jemand ist bei {victim} eingebrochen und hat {item} hinterlassen...', 'name'=>'townSmuggleUncaught', 'type'=>LogEntryTemplate::TypeCrimes, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>LogEntryTemplate::TypeHome, 'variableTypes'=>array(['type'=>"citizen",'name'=>'victim'],['type'=>"item",'name'=>'item'])],
            ['text'=>'{citizen} hat mit dem Gegenstand {item} {kills} Zombie(s) getötet.', 'name'=>'zombieKillWeapon', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"item",'name'=>'item'],['type'=>'num','name'=>'kills'])],
            ['text'=>'<span>{citizen} hat einen Zombie mit seinen bloßen Händen niedergestreckt!</span>', 'name'=>'zombieKillHands', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'{citizen} hat versucht einen Zombie niederzustrecken und ist dabei fast draufgegangen...', 'name'=>'zombieKillHandsFail', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'Mit Hilfe seiner übermenschlichen Heldenkräfte hat {citizen} {kills} Zombie(s) lauthals schreiend und mit bloßen Händen umgebracht!', 'name'=>'zombieKillHeroPunch', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"num",'name'=>'kills'])],
            ['text'=>'{citizen} hat es Regnen lassen und damit {kills} Zombies erledigt.', 'name'=>'zombieKillShaman', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"num",'name'=>'kills'])],
            ['text'=>'{citizen} wollte das Gebiet säubern, aber ohne Erfolg.', 'name'=>'failureShaman', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'{sender}: {message}', 'name'=>'beyondChat', 'type'=>LogEntryTemplate::TypeChat, 'class'=>LogEntryTemplate::ClassChat, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'sender'],['type'=>"chat",'name'=>'message'])],
            ['text'=>'{citizen} hat sich ein paar Minuten Zeit genommen, um sein Versteck zu verbessern.', 'name'=>'beyondCampingImprovement', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'{citizen} hat {item} aufgestellt, um das Versteck zu verbessern.', 'name'=>'beyondCampingItemImprovement', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"item",'name'=>'item'])],
            ['text'=>'{citizen} hat sich für heute Nacht ein Versteck gesucht ...', 'name'=>'beyondCampingHide', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'{citizen} hat sein Versteck verlassen.', 'name'=>'beyondCampingUnhide', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'{citizen} hat beschlossen auf einen Eskortenanführer zu warten...', 'name'=>'beyondEscortEnable', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'{citizen} hat beschlossen sich wieder allein fortzubewegen.', 'name'=>'beyondEscortDisable', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'{citizen} hat {target_citizen} überzeugt, ihm zu folgen.', 'name'=>'beyondEscortTakeCitizen', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"citizen",'name'=>'target_citizen'])],
            ['text'=>'{leader} hat {escortee} heldenhaft zurück in die Stadt begleitet!', 'name'=>'beyondEscortCitizenBackHome', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'leader'],['type'=>"citizen",'name'=>'escortee'])],
            ['text'=>'{citizen} hat {target_citizen} aus der Eskorte entlassen.', 'name'=>'beyondEscortReleaseCitizen', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"citizen",'name'=>'target_citizen'])],
            ['text'=>'{citizen} starb, als er auf lächerliche Weise von der Mauer fiel!', 'name'=>'citizenDeathOnWatch', 'type'=>LogEntryTemplate::TypeCitizens, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'{watchers} Nachtwächter haben am Stadtrand Stellung bezogen. Wild entschlossen haben sie sich vorgenommen, die Stadt gegen die Zombies zu verteidigen.', 'name'=>'nightlyAttackWatcherCount', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"num",'name'=>'watchers'])],
            ['text'=>'Die Nachtwächter der letzten nacht zeigten unglaublichen Mut, es ist nur schade, dass die Zombies offensichtlich mit etwas anderem beschäftigt waren!', 'name'=>'nightlyAttackUselessWatch', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"list",'name'=>'citizens','listType' =>'citizen'])],
            ['text'=>'Tapfere Bürger haben auf den Stadtmauern Stellung bezogen : {citizens}', 'name'=>'nightlyAttackWatchers', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"list",'name'=>'citizens','listType' =>'citizen'])],
            ['text'=>'Nur ein einzelner Verrückter bewacht heute Nacht selbstmörderisch das Tor. Wünschen wir {citizens} einen schnellen Tod.', 'name'=>'nightlyAttackOneWatcher', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"list",'name'=>'citizens','listType' =>'citizen'])],
            ['text'=>'Einige Bürger wurden beim Versuch, sich der Zombiehorde entgegenzustellen, verletzt.',         'name'=>'nightlyAttackWatchersWound',    'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array()],
            ['text'=>'Einige Bürger sind beim Versuch, sich der Zombiehorde entgegenzustellen, vor Angst erstarrt.', 'name'=>'nightlyAttackWatchersTerror', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array()],
            ['text'=>'Nachtwächter {citizen} hat sein Bestes gegeben, aber dieser Angriff hat ihn schwer verängstigt...', 'name'=>'nightlyAttackWatcherTerror', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'Verdammt! Nachtwächter {citizen} wurde von Zombies überrumpelt und verwundet...', 'name'=>'nightlyAttackWatcherWound', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'Es ist kein Nachtwächter da, um die Stadt zu verteidigen.', 'name'=>'nightlyAttackNoWatchers', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array()],
            ['text'=>'Da keine lebendigen Bürger beim Angriff in der Stadt waren, wurde sie von den Zombies vollständig zerstört...', 'name'=>'nightlyAttackDevastated', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassDanger, 'secondaryType'=>null, 'variableTypes'=>array()],

            ['text'=>'Die Bürger haben entschieden, {citizen} zu <strong>erhängen</strong>!! Der Galgen wurde im Zuge dieser gewalttätigen Aktion <strong>zerstört</strong>!', 'name'=>'banishmentKillHanging', 'type'=> LogEntryTemplate::TypeCitizens, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=> LogEntryTemplate::TypeCrimes, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'Die Bürger haben entschieden, {citizen} in den <strong>Fleischkäfig</strong> zu zerren und dort zum Vergnügen aller zu steinigen... Die Stadt hat <strong>+{def} temporäre Stadtverteidigung</strong> erhalten!', 'name'=>'banishmentKillCage', 'type'=> LogEntryTemplate::TypeCitizens, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=> LogEntryTemplate::TypeCrimes, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"num",'name'=>'def'])],

            ['text'=>'[ Es riecht nach Tannenzapfen... ]', 'name'=>'smokeBombReplacement', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array()],
            ['text'=>'[ Es riecht nach Tannenzapfen... ]', 'name'=>'smokeBombReplacementWarning', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassWarning, 'secondaryType'=>null, 'variableTypes'=>array()],
            ['text'=>'[ Es riecht nach Tannenzapfen... ]', 'name'=>'smokeBombReplacementCritical', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array()],
            ['text'=>'[ Es riecht nach Tannenzapfen... ]', 'name'=>'smokeBombReplacementChat', 'type'=>LogEntryTemplate::TypeChat, 'class'=>LogEntryTemplate::ClassChat, 'secondaryType'=>null, 'variableTypes'=>array()],
            ['text'=>'[ Es riecht nach Tannenzapfen... ]', 'name'=>'smokeBombReplacementDanger', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassDanger, 'secondaryType'=>null, 'variableTypes'=>array()],
            ['text'=>'Es wurde eine Rauchbombe eingesetzt!', 'name'=>'smokeBombUsage', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array()],

            ['text'=>'{zombies} Zombies wurden von unseren Nachtwächtern gemetzelt!', 'name'=>'nightlyAttackWatchersZombieStopped', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"num",'name'=>'zombies'])],
            ['text'=>'... Auf jeden Fall kamen {zombies} Zombies durch unsere Verteidigungen und griffen Bürger an!', 'name'=>'nightlyAttackWatchersZombieThrough', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"num",'name'=>'zombies'])],
            ['text'=>'Wir konnte alle Zombies erfolgreich abwehren. Die Nachtwätcher haben eine saubere Arbeit geleistet!', 'name'=>'nightlyAttackWatchersZombieAllStopped', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"num",'name'=>'zombies'])],

            ['text'=>'{attacker} hat {defender} gewalttätig angegriffen und verwundet!', 'name'=>'citizenAttackWounded', 'type'=>LogEntryTemplate::TypeCrimes, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>LogEntryTemplate::TypeHome, 'variableTypes'=>array(['type'=>"citizen",'name'=>'attacker'], ['type'=>"citizen",'name'=>'defender'])],
            ['text'=>'{attacker} hat {defender} gewalttätig angegriffen!', 'name'=>'citizenAttack', 'type'=>LogEntryTemplate::TypeCrimes, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>LogEntryTemplate::TypeHome, 'variableTypes'=>array(['type'=>"citizen",'name'=>'attacker'], ['type'=>"citizen",'name'=>'defender'])],
            ['text'=>'{attacker} hat {defender} gewalttätig angegriffen! Der Kampf ist eskaliert und {attacker} verletzte {defender} schlussendlich schwer!', 'name'=>'citizenAttackWoundedOutside', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=> null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'attacker'], ['type'=>"citizen",'name'=>'defender'])],
            ['text'=>'{attacker} hat {defender} gewalttätig angegriffen!', 'name'=>'citizenAttackOutside', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=> null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'attacker'], ['type'=>"citizen",'name'=>'defender'])],

            ['text'=>'{intruder} ist bei {victim} eingebrochen und hat dabei das Alarmsystem ausgelöst!!', 'name'=>'citizenIntrusionBase', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=> null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'intruder'], ['type'=>"citizen",'name'=>'victim'])],
            ['text'=>'{intruder} ist bei {victim} eingebrochen und hat dabei das Alarmsystem ausgelöst!!', 'name'=>'citizenIntrusionAct', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=> null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'intruder'], ['type'=>"citizen",'name'=>'victim'])],

            ['text'=>'Ein abscheuliches Verbrechen ist geschehen: {attacker} hat {defender} in seinem Haus verschlungen!', 'name'=>'citizenTownGhoulAttack', 'type'=>LogEntryTemplate::TypeCitizens, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>LogEntryTemplate::TypeHome, 'variableTypes'=>array(['type'=>"citizen",'name'=>'attacker'], ['type'=>"citizen",'name'=>'defender'])],
            ['text'=>'Du erblickst mehrere großflächige getrocknete Blutpfützen. Das ist soviel Blut... Es scheint, als ob hier jemand von irgend etwas oder irgend jemandem zerstückelt wurde... Vielleicht war es ja ein Ghul?', 'name'=>'citizenBeyondGhoulAttack1', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=> null, 'variableTypes'=>array()],
            ['text'=>'{attacker} ist {defender} an die Gurgel gesprungen und hat ihn ohne mit der Wimper zu zucken verspeist!', 'name'=>'citizenBeyondGhoulAttack2', 'type'=> LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'attacker'], ['type'=>"citizen",'name'=>'defender'])],
            ['text'=>'Was ist mit der Leiche passiert? Der leblose Körper ist spurlos verschwunden... Vermutlich liegt er jetzt irgendwo vor der Stadt und verrottet vor sich hin... Vielleicht kommt er euch ja in der Nacht besuchen?', 'name'=>'citizenDisposalGhoul', 'type'=> LogEntryTemplate::TypeHome, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=> LogEntryTemplate::TypeCitizens, 'variableTypes'=>array()],
            ['text'=>'Das Bauwerk {plan} hat {damage} Punkte Schaden genommen.', 'name'=>'constructionsDamage', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassWarning, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"plan",'name'=>'plan'],['type'=>"num",'name'=>'damage'])],
            ['text'=>'Unser {plan} hat beim Angriff {damage} Punkte Schaden genommen: das sollte dringend repariert werden, ansonsten riskieren wir heute Nacht unser Leben!', 'name'=>'constructionsDamageReactor', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassWarning, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"plan",'name'=>'plan'],['type'=>"num",'name'=>'damage'])],
            ['text'=>'Das Bauwerk {plan} hat {damage} Punkte Schaden genommen und wurde daraufhin von den Zombies vollständig zerstört.', 'name'=>'constructionsDestroy', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"plan",'name'=>'plan'],['type'=>"num",'name'=>'damage'])],
            ['text'=>'Die gesamte Region wurde durch die <strong>Explosion des {plan}</strong> verstrahlt!', 'name'=>'constructionsDestroyReactor', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"plan",'name'=>'plan'],['type'=>"num",'name'=>'damage'])],
            ['text'=>'Der Angriff traf auch unsere Verteidigungsgegenstände! Wir haben insgesamt {num} verloren: {list}', 'name'=>'nightlyAttackBankItemsDestroy', 'type'=>LogEntryTemplate::TypeNightly, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>'num','name'=>'num'],['type'=>'list','name'=>'list','listType'=>'item'])],

            ['text'=>'Es weiß zwar keiner wie unser Held {citizen} das angestellt hat, aber es ist ihm gelungen aus dieser Zone direkt in die Stadt zurückzukehren... Ein Wunder!', 'name'=>'heroReturn', 'type'=>LogEntryTemplate::TypeDoor, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'Niemand weiß, wie ein solches Wunder möglich ist, aber {hero} hat {citizen} (der sich auf {pos} befand), auf seinen Schultern heim getragen. Lang leben unsere Helden!', 'name'=>'heroRescue', 'type'=>LogEntryTemplate::TypeDoor, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'hero'],['type'=>"citizen",'name'=>'citizen'],['type'=>"string",'name'=>'pos'])],
            ['text'=>'{shaman} hat {citizen} soeben mit seinen mystischen Schamanenkräften geheilt!', 'name'=>'shamanHeal', 'type'=>LogEntryTemplate::TypeHome, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'shaman'],['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'Die <strong>Explosion des {plan}</strong> hat den ganzen Sektor in Mitleidenschaft gezogen! Das wird sicher Spuren hinterlassen ...', 'name'=>'fireworkExplosion', 'type'=>LogEntryTemplate::TypeNightly,'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null,'variableTypes'=>array(['type'=>"plan",'name'=>'plan'])],

            ['text'=>'{master} hat {item} nach <strong>[{x}/{y}]</strong> <strong>katapultiert</strong>!', 'name'=>'catapultUsage',  'type'=>LogEntryTemplate::TypeCatapult,'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null,'variableTypes'=>array(['type'=>"citizen",'name'=>'master'],['type'=>'num','name'=>'x'],['type'=>'num','name'=>'y'],['type'=>"item",'name'=>'item'])],
            ['text'=>'Das Katapult der Stadt hat {item} auf diese Zone geschleudert.', 'name'=>'catapultImpact', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>LogEntryTemplate::TypeBank,'variableTypes'=>array(['type'=>"item",'name'=>'item'])],

            ['text'=>'{attacker} hat {defender} mit einem üblen Sandballwurf verwundet. Autsch, das hat sicher weh getan...!', 'name'=>'sandballAttackWounded', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassWarning, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'attacker'], ['type'=>"citizen",'name'=>'defender'])],
            ['text'=>'{attacker} hat {defender} einen Sandball direkt ins Gesicht geworfen!', 'name'=>'sandballAttack', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassWarning, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'attacker'], ['type'=>"citizen",'name'=>'defender'])],
            ['text'=>'Die Stadt hat folgende Gegenstände in Folge der Verbannung von {shunned} zurückerhalten: {list}', 'name'=>'bankBanRecovery', 'type'=>LogEntryTemplate::TypeBank, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>'citizen','name'=>'shunned'],['type'=>'list','name'=>'list','listType'=>'item'])],
            ['text'=>'Die Stadt hat folgende Gegenstände in Folge der Hinrichtung von {shunned} zurückerhalten: {list}', 'name'=>'bankBanRecoveryDeath', 'type'=>LogEntryTemplate::TypeCitizens, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>LogEntryTemplate::TypeBank, 'variableTypes'=>array(['type'=>'citizen','name'=>'shunned'],['type'=>'list','name'=>'list','listType'=>'item'])],
            ['text'=>'Die Stadt hat folgende Gegenstände in Folge der Verbannung von {shunned} zurückerhalten: {list}', 'name'=>'bankBanRecoveryCage', 'type'=>LogEntryTemplate::TypeCitizens, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>LogEntryTemplate::TypeBank, 'variableTypes'=>array(['type'=>'citizen','name'=>'shunned'],['type'=>'list','name'=>'list','listType'=>'item'])],

            ['text'=>'<span>Wir kontrollieren die Zone ab sofort.</span>', 'name' => 'zoneUnderControl', 'type' => LogEntryTemplate::TypeVarious, 'class' => LogEntryTemplate::ClassInfo, 'secondaryType' => null, 'variableTypes' => []],
            ['text'=>'<strong>Verlust der Zonenkontrolle</strong>: Die Suchen von {citizen} wurden unterbrochen!', 'name' => 'zoneSearchInterrupted', 'type' => LogEntryTemplate::TypeVarious, 'class' => LogEntryTemplate::ClassInfo, 'secondaryType' => null, 'variableTypes' => array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'{citizen} hat die Zone verlassen, <strong>die Zombies werden in wenigen Minuten die Kontrolle erlangen wenn wir nichts unternehmen.</strong>', 'name' => 'zoneLostControlLeaving', 'type' => LogEntryTemplate::TypeVarious, 'class' => LogEntryTemplate::ClassInfo, 'secondaryType' => null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'<span>Es ist soweit: Der Schmaus kann beginnen!</span>', 'name' => 'zoneEscapeTimerExpired', 'type' => LogEntryTemplate::TypeVarious, 'class' => LogEntryTemplate::ClassInfo, 'secondaryType' => null, 'variableTypes' => []],

            ['text'=>'{citizen} hat versucht {item} aus der Bank zu stehlen, dabei aber KEINERLEI DISKRETION gezeigt.', 'name'=>'bankStealFail',    'type'=>LogEntryTemplate::TypeBank, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"item",'name'=>'item'])],
            ['text'=>'Jemand hat {item} aus der Bank entwendet, aber er (oder sie) konnte nicht identifiziert werden.', 'name'=>'bankStealSuccess', 'type'=>LogEntryTemplate::TypeBank, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"item",'name'=>'item'])],
            ['text'=>'{citizen} hat die Zombies mit dem Gegenstand {item} <strong>{duration}</strong> abgelenkt!', 'name'=>'zoneEscapeItemUsed', 'type'=>LogEntryTemplate::TypeVarious, 'class'=>LogEntryTemplate::ClassInfo, 'secondaryType'=>null,     'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>"item",'name'=>'item'],['type'=>"duration",'name'=>'duration'])],

            ['text'=>'Die Bürger haben das Haus von <strong>✝ {citizen}</strong> vollständig zerlegt. Alle Gegenstände aus dessen Truhe wurden in der Bank deponiert. Die Stadt hat nichts Nützliches aus dem Haus herausbekommen, da war wirklich nichts zu holen...', 'name'=>'houseRecycledEmpty', 'type'=>LogEntryTemplate::TypeBank, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>LogEntryTemplate::TypeHome, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'])],
            ['text'=>'Die Bürger haben das Haus von <strong>✝ {citizen}</strong> vollständig zerlegt. Alle Gegenstände aus dessen Truhe wurden in der Bank deponiert. Die Stadt hat zudem folgende Resourcen zurückgewinnen können: {list}.', 'name'=>'houseRecycledItems', 'type'=>LogEntryTemplate::TypeBank, 'class'=>LogEntryTemplate::ClassNone, 'secondaryType'=>LogEntryTemplate::TypeHome, 'variableTypes'=>array(['type'=>"citizen",'name'=>'citizen'],['type'=>'list','name'=>'list','listType'=>'item'])],

            // Global PM templates
            ['text'=>'Deine Stadt "{town}" wurde von einem Administrator negiert. Die Stadt wird nicht im Ranking oder auf deiner Seele erscheinen und du bekommst für sie keine Seelenpunkte oder Auszeichnungen.', 'name'=>'gpm_townNegatedAdmin', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassWarning, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"string",'name'=>'town'])],
            ['text'=>'Deine Stadt "{town}" wurde automatisch negiert, da sie sich nicht rechtzeitig gefüllt hat. Die Stadt wird nicht im Ranking oder auf deiner Seele erscheinen und du bekommst für sie keine Seelenpunkte oder Auszeichnungen.', 'name'=>'gpm_townNegatedAuto', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassWarning, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"string",'name'=>'town'])],
            ['text'=>'Deine Stadt "{town}" befindet sich aufgrund eines technischen Problems in Quarantäne. Die Administratoren sind bereits informiert. Während sich die Stadt in Quarantäne befindet kannst du normal weiter spielen, allerdings fällt der nächtliche Angriff aus und es findet kein Tageswechsel statt. Sobald das Problem behoben und die Quarantäne aufgehoben ist, wirst du benachrichtigt.', 'name'=>'gpm_townQuarantineOn', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"string",'name'=>'town'])],
            ['text'=>'Die Quarantäne in deiner Stadt "{town}" wurde aufgehoben. Ab sofort findet der nächtliche Angriff wieder zur gewohnten Zeit statt.', 'name'=>'gpm_townQuarantineOff', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"string",'name'=>'town'])],

            ['text'=>'Ein Moderator hat deinen Thread "{threadname}" im Forum "{forumname}" entfernt. Grund: "{reason}".', 'name'=>'gpm_mod_threadDeleted', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"string",'name'=>'reason'],['type'=>"ne-string",'name'=>'threadname'], ['type'=>"string",'name'=>'forumname'])],
            ['text'=>'Ein Moderator hat deinen Thread "{threadname}" in das Forum "{forumname}" verschoben. {link_post}', 'name'=>'gpm_mod_threadMoved', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"ne-string",'name'=>'threadname'], ['type'=>"string",'name'=>'forumname'], ['type'=>"link_post",'name'=>'link_post'])],
            ['text'=>'Ein Moderator hat deinen Thread "{threadname}" geschlossen. Grund: "{reason}" {link_post}', 'name'=>'gpm_mod_threadClosed', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"ne-string",'name'=>'reason'],['type'=>"ne-string",'name'=>'threadname'], ['type'=>"link_post",'name'=>'link_post'])],
            ['text'=>'Ein Moderator hat deinen Thread "{threadname}" als "Gelöst" markiert. Grund: "{reason}" {link_post}', 'name'=>'gpm_mod_threadSolved', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"ne-string",'name'=>'reason'],['type'=>"ne-string",'name'=>'threadname'], ['type'=>"link_post",'name'=>'link_post'])],
            ['text'=>'Ein Moderator hat einen deiner Posts aus dem Thread "{threadname}" im Forum "{forumname}" entfernt. Grund: "{reason}" {link_post}', 'name'=>'gpm_mod_postDeleted', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"ne-string",'name'=>'reason'],['type'=>"string",'name'=>'threadname'], ['type'=>"string",'name'=>'forumname'], ['type'=>"link_post",'name'=>'link_post'])],
            ['text'=>'Ein Moderator hat einen deiner Posts aus dem Thread "{threadname}" im Forum "{forumname}" editiert. Grund: "{reason}" {link_post}', 'name'=>'gpm_mod_postEdited', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"ne-string",'name'=>'reason'],['type'=>"string",'name'=>'threadname'], ['type'=>"string",'name'=>'forumname'], ['type'=>"link_post",'name'=>'link_post'])],
            ['text'=>'Ein Moderator hat eine deiner Stadt-Nachrichten aus dem Thread "{threadname}" entfernt. Grund: "{reason}"', 'name'=>'gpm_mod_townPMDeleted', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"ne-string",'name'=>'reason'],['type'=>"string",'name'=>'threadname'])],
            ['text'=>'Ein Moderator hat eine deiner Stadt-Nachrichten aus dem Thread "{threadname}" editiert. Grund: "{reason}"', 'name'=>'gpm_mod_townPMEdited', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"ne-string",'name'=>'reason'],['type'=>"string",'name'=>'threadname'])],
            ['text'=>'Ein Moderator hat eine deiner Privatnachrichten aus dem Thread "{threadname}" entfernt. Grund: "{reason}"', 'name'=>'gpm_mod_globalPMDeleted', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"ne-string",'name'=>'reason'],['type'=>"string",'name'=>'threadname'])],
            ['text'=>'Ein Moderator hat eine deiner Privatnachrichten aus dem Thread "{threadname}" editiert. Grund: "{reason}"', 'name'=>'gpm_mod_globalPMEdited', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"ne-string",'name'=>'reason'],['type'=>"string",'name'=>'threadname'])],
            ['text'=>'Ein Moderator hat deinen Account mit einer Forensperre belegt. Grund: "{reason}". Dauer: {duration}', 'name'=>'gpm_mod_forumBanOn', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"ne-string",'name'=>'reason'],['type'=>"duration",'name'=>'duration'])],
            ['text'=>'Ein Moderator hat deinen Account mit einer Spielsperre belegt. Grund: "{reason}". Dauer: {duration}', 'name'=>'gpm_mod_gameBanOn', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"ne-string",'name'=>'reason'], ['type'=>"duration",'name'=>'duration'])],
            ['text'=>'Ein Moderator hat die Forensperre deines Accounts aufgehoben.', 'name'=>'gpm_mod_forumBanOff', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array()],
            ['text'=>'Ein Moderator hat die Spielsperre deines Accounts aufgehoben.', 'name'=>'gpm_mod_gameBanOff', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array()],
            ['text'=>'Ein Moderator hat den Namen einer Stadt geändert, in der du mitgespielt hast. Alter Name: "{townOld}". Neuer Name: "{townNew}"', 'name'=>'gpm_mod_townNameChange', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"string",'name'=>'townOld'],['type'=>"string",'name'=>'townNew'])],

            ['text'=>'Ein Moderator hat eine Beschränkung für deinen Account festgelegt, da du gegen eine oder mehrere unserer Verhaltensregeln verstoßen hast.<br/>Art der Beschränkung: <b>{type}</b><br/>Grund: <i>{reason}</i><br />Dauer: <i>{duration}</i>', 'name'=>'gpm_mod_AnyBanOn', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"ne-string",'name'=>'reason'],['type'=>"duration",'name'=>'duration'],['type'=>"accountRestrictionMask",'name'=>'type'])],
            ['text'=>'Ein Moderator hat die Dauer einer Beschränkung, die für deinen Account festgelegt war, geändert.<br/>Art der Beschränkung: <b>{type}</b><br/>Alte Dauer: <i>{old_duration}</i><br />Neue Dauer: <i>{duration}</i>', 'name'=>'gpm_mod_AnyBanMod', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"duration",'name'=>'old_duration'],['type'=>"duration",'name'=>'duration'],['type'=>"accountRestrictionMask",'name'=>'type'])],
            ['text'=>'Ein Moderator hat eine Beschränkung für deinen Account aufgehoben.<br/>Art der Beschränkung: <b>{type}</b>', 'name'=>'gpm_mod_AnyBanOff', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"accountRestrictionMask",'name'=>'type'])],

            ['text'=>'<strong>Herzlichen Glückwunsch</strong>, du hast folgende Titel freigeschaltet: {list_c} {list_i} {list_t}', 'name'=>'gpm_unlock_titles', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"title-list",'name'=>'list_t'],['type'=>"title-icon-list",'name'=>'list_i'],['type'=>"title-custom-list",'name'=>'list_c'])],
            ['text'=>'<strong>Herzlichen Glückwunsch</strong>, du hast Folgendes freigeschaltet: {list}', 'name'=>'gpm_unlock_titles2', 'type'=>LogEntryTemplate::TypeGPMNotification, 'class'=>LogEntryTemplate::ClassCritical, 'secondaryType'=>null, 'variableTypes'=>array(['type'=>"award-list",'name'=>'list'])],
        ]);
    }
}